package com.zcloud.personnel.positioning.domain.gateway;

import com.zcloud.personnel.positioning.domain.model.AlarmRecordE;

/**
 * web-domain
 *
 * @Author fangjiakai
 * @Date 2026-07-07
 */
public interface AlarmRecordGateway {
    Boolean add(AlarmRecordE alarmRecordE);

    Boolean update(AlarmRecordE alarmRecordE);

    Boolean deletedAlarmRecordById(Long id);

    Boolean deletedAlarmRecordByIds(Long[] ids);
}
